#ifndef TASKWIN_H
#define TASKWIN_H

#include "Classpad.h"

#define IDB_SUN 2001
#define IDB_MON 2002
#define IDB_TUES 2003
#define IDB_WEND 2004
#define IDB_THURS 2005
#define IDB_FRI 2006
#define IDB_SAT 2007

enum Day {Sunday, Monday, Tuesday, Wendsday, Thursday, Friday, Saturday}; //i use this for clarity when i have to manually set the day

class TaskWin: public CPModuleWindow
{
    private:
        Day myDay; //the currently selected day
        CPEditBox *txtbox; //the box that shows and lets you edit tasks
        bool isStartUp; //if true the app is just starting
        bool isFullScreen; //if true the keyboard is not being shown
        
        CPString week[7]; //holds all the tasks for the week
        
        void DispBox(Day today); //sets the data shown in the edit box to the tasks for that day
        void Locate(int x, int y, CPString text); //places text on te screen
        void Locate(int x, int y, CPString text, bool bold); //places text on the screen, if bold=true then the text is bolded
        void AddUI(); //adds the buttons at the top of the app
        void Status(CPString today); //sets the status bar
        void Read(); //gets data from the Task3000 file
        void Write(); //saves all the tasks to the Task3000 file
    public:
        TaskWin(PegRect rect, CPMainFrame * frame); //constructor
        void Draw(); //draws the TaskWin
        SIGNED Message(const PegMessage &Mesg); //gets all messages from buttons, and detects when the app is closing so that the data is saved
        
};    

#endif
